platform: linux/arm

workspace:
   base: /home/builder/package
   path: /

clone:
  default:
    image: plugins/git:linux-arm
    depth: 50

pipeline:
  build:
    image: openpdu/builder:3.7
    environment:
      - REPODEST=/home/builder/package
    secrets:
      - source: abuild_ssh_key
        target: RSA_PRIVATE_KEY
      - source: abuild_ssh_key_name
        target: RSA_PRIVATE_KEY_NAME

  gitea_release:
    image: plugins/gitea-release:linux-arm
    files: builder/armhf/*.apk
    checksum:
      - md5
      - sha1
      - sha256
      - sha512
    secrets: [ gitea_token ]
    base_url: https://git.asperti.com
    when:
      event: tag
